
#ifndef GLUT_BASE_CALLBACK
#define GLUT_BASE_CALLBACK

#include "MemoryManager/DebugNew.h"

void glut_base_dessin(void);								// dessin de la fenêtre

void glut_base_programme(void);								// programme de boucle d'inactivité

void glut_base_souris(int boutton,int etat,int x,int y);	// gérer la souris

void glut_base_clavier(unsigned char key,int x,int y);		// gérer le clavier en VIRTUAL KEY

void glut_base_clavierup(unsigned char key,int x,int y);		// gérer le clavier en VIRTUAL KEY up

void glut_base_fdim(int largeur,int hauteur);				// code de redimensionnement de la fenêtre

void glut_base_fenetre();									// initialisation de GLUT et OpenGL

void initRessource();

void releaseRessource();

#include "MemoryManager/DebugNewOff.h"

#endif